com.google.web.bindery.requestfactory.apt

## Class ProxyScanner

- java.lang.Object
- - javax.lang.model.util.AbstractElementVisitor6<R,P>
  - - javax.lang.model.util.ElementScanner6<R,State>
    - - com.google.web.bindery.requestfactory.apt.ScannerBase<java.lang.Void>
      - - com.google.web.bindery.requestfactory.apt.ProxyScanner

- All Implemented Interfaces:
    javax.lang.model.element.ElementVisitor<java.lang.Void,State>

      class ProxyScanner
      extends ScannerBase<java.lang.Void>

  Examines the methods declared in a proxy interface. Also records the client to domain mapping for the proxy type.

- - ### Field Summary

    - ### Fields inherited from class javax.lang.model.util.ElementScanner6

      `DEFAULT_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyScanner()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `shouldIgnore(javax.lang.model.element.ExecutableElement x, State state)` Ignore all static initializers and methods defined in the base RequestFactory interfaces
    `java.lang.Void` | `visitExecutable(javax.lang.model.element.ExecutableElement x, State state)`
    `java.lang.Void` | `visitType(javax.lang.model.element.TypeElement x, State state)`
    `java.lang.Void` | `visitVariable(javax.lang.model.element.VariableElement x, State state)`

    - ### Methods inherited from class com.google.web.bindery.requestfactory.apt.ScannerBase

      `isGetter, isSetter, poisonIfAnnotationPresent, scan, scanAllInheritedMethods, viewIn`

    - ### Methods inherited from class javax.lang.model.util.ElementScanner6

      `scan, scan, visitPackage, visitTypeParameter`

    - ### Methods inherited from class javax.lang.model.util.AbstractElementVisitor6

      `visit, visit, visitUnknown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyScanner

          ProxyScanner()

  - ### Method Detail

    - #### visitExecutable

          public java.lang.Void visitExecutable(javax.lang.model.element.ExecutableElement x,
                                                State state)

      Specified by:
        `visitExecutable` in interface `javax.lang.model.element.ElementVisitor<java.lang.Void,State>`
      Overrides:
        `visitExecutable` in class `javax.lang.model.util.ElementScanner6<java.lang.Void,State>`

    - #### visitType

          public java.lang.Void visitType(javax.lang.model.element.TypeElement x,
                                          State state)

      Specified by:
        `visitType` in interface `javax.lang.model.element.ElementVisitor<java.lang.Void,State>`
      Overrides:
        `visitType` in class `javax.lang.model.util.ElementScanner6<java.lang.Void,State>`

    - #### visitVariable

          public java.lang.Void visitVariable(javax.lang.model.element.VariableElement x,
                                              State state)

      Specified by:
        `visitVariable` in interface `javax.lang.model.element.ElementVisitor<java.lang.Void,State>`
      Overrides:
        `visitVariable` in class `javax.lang.model.util.ElementScanner6<java.lang.Void,State>`

    - #### shouldIgnore

          protected boolean shouldIgnore(javax.lang.model.element.ExecutableElement x,
                                         State state)

      Description copied from class: `ScannerBase`
      Ignore all static initializers and methods defined in the base RequestFactory interfaces
      Overrides:
        `shouldIgnore` in class `ScannerBase<java.lang.Void>`